Package org.eclipse.birt.chart.event

# Class StructureSource

java.lang.Object
org.eclipse.birt.chart.event.StructureSource

Direct Known Subclasses:
  `WrappedStructureSource`

public class StructureSource extends Object
This class defines a structure source object for all chart events.

## Constructor Summary

Constructors
Constructor
Description
`StructureSource(Object source)`
The constructor.
`StructureSource(Object source, StructureType type)`
The constructor.

## Method Summary

Modifier and Type
Method
Description
`static StructureSource`
`createAxis(Axis ax)`
Creates a Structure Source for type Axis.
`static StructureSource`
`createChartBlock(Block block)`
Creates a Structure Source for type Chart Block.
`static StructureSource`
`createLegend(Legend lg)`
Creates a Structure Source for type Legend.
`static StructureSource`
`createMarkerLine(MarkerLine ml)`
Creates a Structure Source for type MarkerLine.
`static StructureSource`
`createMarkerRange(MarkerRange mr)`
Creates a Structure Source for type MarkerRange.
`static StructureSource`
`createPlot(Plot pt)`
Creates a Structure Source for type Plot.
`static StructureSource`
`createSeries(Series se)`
Creates a Structure Source for type Series.
`static StructureSource`
`createTitle(TitleBlock tb)`
Creates a Structure Source for type Title.
`static StructureSource`
`createUnknown(org.eclipse.emf.ecore.EObject o)`
Creates a Structure Source for type Unknown.
`Object`
`getSource()`
Returns the source object.
`StructureType`
`getType()`
Returns the source type.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StructureSource

public StructureSource(Object source)
The constructor.

Parameters:
  `source` -

### StructureSource

public StructureSource(Object source, StructureType type)
The constructor.

Parameters:
  `source` -

## Method Details

### getSource

public Object getSource()
Returns the source object.

Returns:

### getType

public StructureType getType()
Returns the source type.

Returns:

### createSeries

public static StructureSource createSeries(Series se)
Creates a Structure Source for type Series.

Parameters:
  `se` -
Returns:

### createPlot

public static StructureSource createPlot(Plot pt)
Creates a Structure Source for type Plot.

Parameters:
  `pt` -
Returns:

### createTitle

public static StructureSource createTitle(TitleBlock tb)
Creates a Structure Source for type Title.

Parameters:
  `pt` -
Returns:

### createChartBlock

public static StructureSource createChartBlock(Block block)
Creates a Structure Source for type Chart Block.

Parameters:
  `pt` -
Returns:

### createUnknown

public static StructureSource createUnknown(org.eclipse.emf.ecore.EObject o)
Creates a Structure Source for type Unknown.

Parameters:
  `o` -
Returns:

### createAxis

public static StructureSource createAxis(Axis ax)
Creates a Structure Source for type Axis.

Parameters:
  `ax` -
Returns:

### createLegend

public static StructureSource createLegend(Legend lg)
Creates a Structure Source for type Legend.

Parameters:
  `lg` -
Returns:

### createMarkerLine

public static StructureSource createMarkerLine(MarkerLine ml)
Creates a Structure Source for type MarkerLine.

Parameters:
  `ml` -
Returns:

### createMarkerRange

public static StructureSource createMarkerRange(MarkerRange mr)
Creates a Structure Source for type MarkerRange.

Parameters:
  `ml` -
Returns: